import type { Adapter, AdapterRequestContext, Luvio } from '@luvio/engine';
import type { ApexInvokerParams } from '../util/shared';
interface Prefetcher {
    saveRequest: (request: any) => void;
}
export declare function registerPrefetcher(luvio: Luvio, prefetcher: Prefetcher): void;
export declare function createGetApexAdapterWithPrediction<C, D>(adapter: Adapter<C, D>, luvio: Luvio, invokerParams: ApexInvokerParams, name: string): (config: C, requestContext?: AdapterRequestContext) => import("@luvio/engine").Snapshot<D> | Promise<import("@luvio/engine").Snapshot<D>> | null;
export {};
